<?php

namespace HCM\BTL\Controllers;

use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use HCM\Util\HCMParameters;
use HCM\Util\DateUtil;

class EntrevistaDesligamentoController extends Crud {

    protected $dataSourceSetEntrevistaDesligamento = 'gpeVinculom_setEntrevistaDesligamento';

    public function __construct (Manager $dataSourceManager){
        parent::__construct($dataSourceManager);
    }

    public function saveEntrevistaDesligamento (DTO\Request\DataSet $request, DTO\Response $response) {
        $this->dataSourceName = $this->dataSourceSetEntrevistaDesligamento;
        try{
            parent::save($request, $response);
        } catch(\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}