<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;

class FpatipocalculoEntity extends TkEntity
{
    const CALC_FOLHA = 1;
    const CALC_FERIAS = 2;
    const CALC_13SAL = 3;
    const CALC_ADIANT_13SAL = 4;
    const CALC_ADIANTAMENTO = 5;
    const CALC_RESCISAO = 6;
    const CALC_RESCISAO_COMPLEMENTAR = 7;
    const CALC_PROVISAO_CONTABIL = 8;
    const CALC_FECHAMENTO = 9;
    const CALC_ADIANT_PLR = 10;
    const CALC_PLR = 11;
    const CALC_CONTABILIZACAO = 12;
    const CALC_FOLHA_COMPLEMENTAR = 13;
    const IDCTRLLIQUIDO_EXIGE_LIQUIDO = 'EXIGE_LIQUIDO';
    const IDCTRLLIQUIDO_PROIBE_LIQUIDO = 'PROIBE_LIQUIDO';
    const IDCTRLLIQUIDO_INDIFERENTE = 'INDIFERENTE';
    const IDATIVO_SIM = 'S';
    const IDATIVO_NAO = 'N';
    
    public function __construct($entityManager, $hcmParameters) {
        $this->hcmParameters = $hcmParameters;
        parent::__construct(null,$entityManager);
    }

    public function retornaTipoCalculo($tipo_calculo){
        return $this->entityManager->getRepository(Repositories::FPA_TIPOCALCULO)->retornaTipoCalculo($tipo_calculo);
    }
    
}